Update lead
curl --request PATCH \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/leads/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/leads/{id}"
payload = {}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"lead": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"status": "open",
"unique_number": "L-001",
"email": "eve@example.com",
"phone_number": "",
"contact": {
"id": null,
"name": "Eve"
},
"company": {
"id": null,
"name": null
},
"owner": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
}
}Leads
Update lead
Update an existing lead by its ID.
PATCH
/
leads
/
{id}
Update lead
curl --request PATCH \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/leads/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/leads/{id}"
payload = {}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"lead": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"status": "open",
"unique_number": "L-001",
"email": "eve@example.com",
"phone_number": "",
"contact": {
"id": null,
"name": "Eve"
},
"company": {
"id": null,
"name": null
},
"owner": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
The ID of the lead to update. You can get the lead id by listing all leads using our List all leads API.
Body
application/json
Hide child attributes
Hide child attributes
Lead name.
Example:
"Eve"
Lead status.
Available options:
open, converted, archived Example:
"open"
Unique identifier of the owner.
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Array of tag IDs.
Example:
[
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
]Response
200 - application/json
Lead updated successfully.
Hide child attributes
Hide child attributes
Unique identifier for the lead.
Name of the lead.
Current status of the lead.
Available options:
open, converted, archived Auto-generated unique number for the lead.
Email address of the lead (from associated contact).
Phone number of the lead (from associated contact).
Owner of the lead.
Timestamp when the lead was created.
Timestamp when the lead was last updated.
⌘I